Skip to main content
PATCH
Update an existing action definition

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the app associated with the action definition.

definitionId
string
required

The ID of the action definition to update.

Body

application/json
actionUrl
string

The URL endpoint where the action is executed.

executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
inputFields
object[]
labels
object

Contains labels for the action, including names and descriptions.

objectRequestOptions
object
objectTypes
string[]
outputFields
object[]
published
boolean

Indicates whether the action is published and available for use.

Response

successful operation

actionUrl
string
required
functions
object[]
required
id
string
required
inputFields
object[]
required
labels
object
required
objectTypes
string[]
required
published
boolean
required
revisionId
string
required
archivedAt
integer<int64>
executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]
Last modified on March 30, 2026